'use strict'

// ローディング画面の設定
let settingTime =0;

function writetime() {
    document.getElementById('time').textContent = settingTime +'%';
}

writetime();

const timerId = setInterval(function() {
    settingTime++;
    writetime();
    if(settingTime === 100) {
        clearInterval(timerId);
        document.getElementById('loading').classList.add('loaded');
    }
},5);


// ハンバーガーメニューの設定
const menuButton = document.getElementById('menuButton');
const nav = document.querySelector('nav');
const menuText = document.getElementById('menuText');

menuButton.addEventListener('click', () => {
    nav.classList.toggle('active');
    menuButton.classList.toggle('active');
    if(menuText.textContent === 'Menu') {
        menuText.textContent = 'Close';
    } else {
        menuText.textContent ='Menu';
    }
});